Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class InetDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO
ru.bgcrm.plugin.bgbilling.proto.dao.InetDAO

public class InetDAO extends BillingModuleDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `moduleId`

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDAO(User user, String billingId, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `connectionClose(int contractId, long connectionId)`
  `void`
  `connectionFinish(int contractId, long connectionId)`
  `void`
  `deleteService(int id)`
  `String`
  `deviceManage(int contractId, int deviceId, int serviceId, int connectionId, String operation)`
  `InetDevice`
  `getDevice(int deviceId)`
  `List<InetDeviceManagerMethod>`
  `getDeviceManagerMethodList(int deviceTypeId)`
  `static InetDAO`
  `getInstance(User user, String billingId, int moduleId)`
  Deprecated.
  `InetDevice`
  `getRootDevice(Set<Integer> deviceTypeIds, Set<Integer> deviceGroupIds)`
  `InetService`
  `getService(int id)`
  `List<InetService>`
  `getServiceList(int contractId)`
  Возвращает перечень сервисов в виде плоского списка.
  `List<InetServiceType>`
  `getServiceTypeList()`
  `void`
  `getSessionAliveContractList(Pageable<InetSessionLog> result, int contractId)`
  `void`
  `getSessionLogContractList(Pageable<InetSessionLog> result, int contractId, Date dateFrom, Date dateTo)`
  `void`
  `updateService(InetService inetServ, List<InetServiceOption> optionList, boolean generateLogin, boolean generatePassword, long saWaitTimeout)`
  `void`
  `updateServiceState(int serviceId, int state)`
  `Set<Integer>`
  `vlanResourceCategoryIds(int deviceId)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.proto.dao.BillingModuleDAO

  `getModuleId, setModuleId`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetDAO

    public InetDAO(User user, String billingId, int moduleId)

- ## Method Details

  - ### getInstance

    @Deprecated public static InetDAO getInstance(User user, String billingId, int moduleId)
    Deprecated.

  - ### getServiceList

    public List<InetService> getServiceList(int contractId)
    Возвращает перечень сервисов в виде плоского списка. Сборка в дерево, если необходимо, осуществляется на основании кодов сервисов-предков.
    Parameters:
      `contractId` -
    Returns:

  - ### getService

    public InetService getService(int id)

  - ### updateService

    public void updateService(InetService inetServ, List<InetServiceOption> optionList, boolean generateLogin, boolean generatePassword, long saWaitTimeout)

  - ### deleteService

    public void deleteService(int id)

  - ### updateServiceState

    public void updateServiceState(int serviceId, int state)

  - ### getServiceTypeList

    public List<InetServiceType> getServiceTypeList()

  - ### getDevice

    public InetDevice getDevice(int deviceId)

  - ### getRootDevice

    public InetDevice getRootDevice(Set<Integer> deviceTypeIds, Set<Integer> deviceGroupIds)

  - ### getDeviceManagerMethodList

    public List<InetDeviceManagerMethod> getDeviceManagerMethodList(int deviceTypeId)

  - ### deviceManage

    public String deviceManage(int contractId, int deviceId, int serviceId, int connectionId, String operation)

  - ### getSessionAliveContractList

    public void getSessionAliveContractList(Pageable<InetSessionLog> result, int contractId)

  - ### getSessionLogContractList

    public void getSessionLogContractList(Pageable<InetSessionLog> result, int contractId, Date dateFrom, Date dateTo)

  - ### vlanResourceCategoryIds

    public Set<Integer> vlanResourceCategoryIds(int deviceId)

  - ### connectionClose

    public void connectionClose(int contractId, long connectionId) throws Exception
    Throws:
      `Exception`

  - ### connectionFinish

    public void connectionFinish(int contractId, long connectionId) throws Exception
    Throws:
      `Exception`